package model

type GetListRoleRequest struct {
	Page       int    `json:"page"`
	Limit      int    `json:"limit"`
	Type       string `json:"type"`
	SupplierID string `json:"supplierId"`
}

type DetailRoleRequest struct {
	ID string `json:"_id"`
}

type CreateRoleRequest struct {
	Name        string   `json:"name"`
	Code        string   `json:"code"`
	Type        string   `json:"type"`
	SupplierID  string   `json:"supplierId"`
	Permissions []string `json:"permissions"`
}

type UpdateRoleRequest struct {
	ID          string   `json:"_id"`
	Name        string   `json:"name"`
	Code        string   `json:"code"`
	Type        string   `json:"type"`
	SupplierID  string   `json:"supplierId"`
	Permissions []string `json:"permissions"`
}
