package subject

import "fmt"

func getRoleValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.SupplierRole, val)
}

var SupplierRole = struct {
	GetList             string
	Detail              string
	Create              string
	Update              string
	GetListBySupplierID string
}{
	GetList:             getRoleValue("get_list"),
	Detail:              getRoleValue("detail"),
	Create:              getRoleValue("create"),
	Update:              getRoleValue("update"),
	GetListBySupplierID: getRoleValue("get_list_by_supplierId"),
}
